# ModifyNetworkInterfacePublicIPv6BandwidthLimitMode

## 1. API Description

This API (ModifyNetworkInterfacePublicIPv6BandwidthLimitMode) is used to modify the bandwidth rate limit mode of the specified public IPv6.

{% hint style="info" %}
**Notes**

* Only public IPv6 in the available status (`RUNNING`) support this operation.
* Public IPv6 without bandwidth configured do not support this operation.
* `LOOSE` (relaxed mode) allows short-term bursts exceeding the rate limit; `STRICT` (strict mode) enforces the rate limit strictly without any bursts.
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type                                                                       | Description          |
| -------------- | -------- | -------------------------------------------------------------------------- | -------------------- |
| ipv6CidrId     | Yes      | String                                                                     | ID of the IPv6 CIDR. |
| rateLimitMode  | Yes      | [RateLimitMode](/api-reference/compute/zec/datastructure.md#ratelimitmode) | New rate limit mode. |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Modify the bandwidth rate limit mode of a public IPv6**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyNetworkInterfacePublicIPv6BandwidthLimitMode
<Common Request Params>

Request：
{
    "ipv6CidrId": "ipv6CidrId-xxx",
    "rateLimitMode": "STRICT"
}

Response：
{
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                                 | Description                                                             |
| ---------------- | ------------------------------------------ | ----------------------------------------------------------------------- |
| 404              | INVALID\_IPV6\_NOT\_FOUND                  | The IPv6 address is not found.                                          |
| 400              | INVALID\_IPV6\_STATUS                      | The IPv6 address is not active.                                         |
| 400              | INVALID\_IPV6\_NO\_BANDWIDTH               | No bandwidth is configured for the IPv6. Rate limit mode cannot be set. |
| 400              | OPERATION\_DENIED\_IPV6\_IN\_RISK\_CONTROL | IPv6 is under risk control and this operation is not supported.         |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.console.zenlayer.com/api-reference/compute/zec/vnic/modifynetworkinterfacepublicipv6bandwidthlimitmode.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
